<div class="modal-header">
  <button type="button" class="close" (click)="close()">
    &times;
  </button>
  <h4 class="modal-title" *ngIf="!disabled">
    Popup to {{ labelPopUp }} Data Detail
  </h4>
</div>
<div class="modal-body clearfix">
  <form class="form-horizontal form-style" [formGroup]="Form" novalidate>
    <input formControlName="id" type="hidden" class="form-control" />
    <div class="form-group">
      <div class="col-md-6">
        <custom-input
          [label]="'Data Type'"
          [validations]="{
            required: 'Item Code required'
          }"
          [disabled]="disabled"
        >
          <autocomplete-directive
            required
            inputRef
            [key]="'md_type'"
            [isdisabled]="disabled ? true : null"
            [custom_display_label]="['md_type', 'mdt_name']"
            [headers]="['Type', 'Name']"
            formControlName="md_type"
            [items]="listDataType"
            (type)="getListDataType($event)"
            (selected)="selectDataType($event)"
          ></autocomplete-directive>
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input
          [label]="'Sort'"
          [validations]="{
            invalidNumber: 'Sort is type number'
          }"
        >
          <input
            inputRef
            class="form-control"
            formControlName="sort"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
    </div>

    <div class="form-group">
      <div class="col-md-6">
        <custom-input
          [label]="'Data Code'"
          [validations]="{ required: 'Data Code required' }"
          [disabled]="disabled"
        >
          <input
            inputRef
            class="form-control"
            formControlName="md_code"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
      <div class="col-md-6">
        <custom-input
          [label]="'Data Name'"
          [validations]="{ required: 'Data Name required' }"
          [disabled]="disabled"
        >
          <input
            inputRef
            class="form-control"
            formControlName="md_name"
            type="text"
            [attr.disabled]="disabled ? '' : null"
          />
        </custom-input>
      </div>
    </div>

    <div class="form-group">
      <custom-input [label]="'Description'">
        <input
          inputRef
          class="form-control"
          formControlName="md_des"
          type="text"
          [attr.disabled]="disabled ? '' : null"
        />
      </custom-input>
    </div>
    <div class="form-group">
      <custom-input [label]="'Data'">
        <textarea
          inputRef
          class="form-control"
          formControlName="md_data"
          type="text"
          [attr.disabled]="disabled ? '' : null"
          rows="5"
        ></textarea>
      </custom-input>
    </div>
    <div class="form-group">
      <label>Status</label>

      <ui-switch class="toogle" formControlName="md_sts"></ui-switch>
    </div>
  </form>
</div>
<div class="modal-footer text-right">
  <button type="button" class="btn btn-default" (click)="close()">
    Close
  </button>
  <button
    type="button"
    (click)="save()"
    class="btn btn-primary"
    [disabled]="disabled || Form.invalid"
    *ngIf="!disabled"
  >
    {{ labelPopUp }}
  </button>
</div>
